Bug 73559 - Remembering a window's position and dimension
Summary: Remembering a window's position and dimension
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Public Beta
Classification: Retired
Component: sawfish (Show other bugs)
(Show other bugs)
Version: null
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Havoc Pennington
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords: FutureFeature
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-09-06 03:29 UTC by berto
Modified: 2007-04-18 16:46 UTC (History)
0 users

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-09-06 03:29:14 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description berto 2002-09-06 03:29:08 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.1) Gecko/20020826

Description of problem:
It would be nice if sawfish 'remembered' the last size of a window and where the
window was positioned on the desktop.  Maybe there could be options in the
window's pulldown menu like in previous versions.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
This is an enhancement request.
	

Additional info:

Comment 1 Havoc Pennington 2002-10-01 19:40:08 UTC
We are providing sawfish "as-is" so closing all feature requests for it.

I would forward this bug to gnome.org for you, but I'm assuming the feature was
deliberately removed. You might want to search bugzilla.gnome.org or Sawfish
mailing list for previous discussion.

Comment 2 berto 2002-10-02 22:01:51 UTC
Call me crazy, but today I learned that I'm not using sawfish!  It's been
metacity all along.  Is there a way for metacity to remember the previous
position of a window?

Comment 3 Havoc Pennington 2002-10-02 22:21:09 UTC
See http://bugzilla.gnome.org/show_bug.cgi?id=81802

Also there's a fair bit of discussion in wm-spec-list@gnome.org archives.

Short answer though is that it can't be implemented reliably without 
some new conventions in the WM spec. In any case, 81802 on gnome.org tracks this
issue.


Note You need to log in before you can comment on or make changes to this bug.